<template lang="pug">
figure.image.is-4by3( :class='{ "selected": selected }' @click='emit("select")' )
	img( :src='isUpload ? stream(file) : `${srcset(file.name, "images")[480]}`' crossorigin="use-credentials" )
	span.close.icon( v-if='isUpload' @click='emit("remove")' )
		i.fa-solid.fa-circle-xmark
</template>

<script setup>
import srcset from "@/common/srcset"

const emit = defineEmits(["remove", "select"])
const props = defineProps({
	file: {
		type: Object,
		default: () => ({})
	},
	selected: Boolean,
	isUpload: Boolean
})

const stream = file => URL.createObjectURL(file)
</script>

<style lang="scss" scoped>
.image {
	background: rgba($color: $light, $alpha: .4);
	overflow: hidden;
	cursor: pointer;
	img,
	video {
		max-width: unset;
		width: auto;
		margin: 0 auto;
		right: -50%;
		left: -50%;
	}
	&::after {
		display: block;
		content: "";
		width: 100%;
		height: 100%;
		position: absolute;
		top: 0;
		left: 0;
	}
	.file {
		width: 100%;
		height: 100%;
		background: #fff;
		border: 4px solid rgba($color: $light, $alpha: .4);
		position: absolute;
		top: 0;
		left: 0;
	}
	.close {
		position: absolute;
		top: 2px;
		right: 2px;
		cursor: pointer;
		z-index: 2;
	}

	&.selected {
		&::after {
			border: 4px solid $info;
		}
		.file {
			border: unset;
		}
	}

	&.video {
		p {
			text-align: center;
			width: calc(100% - .5rem);
			margin: 0 auto;
			background: #fff;
			position: absolute;
			bottom: .25rem;
			left: 0;
			right: 0;
		}
	}
}
</style>